This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 879619 - sosreport should include systemd information
sosreport should include systemd information
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 879621
  Show dependency treegraph
 
Reported: 2012-11-23 07:56 EST by Harald Hoyer
Modified: 2014-02-05 08:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 879621 (view as bug list)
Environment:
Last Closed: 2014-02-05 08:15:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2012-11-23 07:56:27 EST
Please include the following information in the sosreport:

$ systemctl show --all
$ systemctl list-units --failed
$ systemctl list-unit-files
$ systemctl list-units --all
$ systemctl dump

$ systemd-delta

$ journalctl --verify
$ journalctl --all --this-boot --no-pager
$ journalctl --all --this-boot --no-pager -o verbose
Comment 3 Bryn M. Reeves 2012-12-06 16:07:47 EST
We probably should collect configuration files as well - I'm assuming /etc/systemd and /lib/systemd but there are a few more files in other parts of etc in the base systemd package:

# rpm -ql systemd | grep etc
/etc/X11/xorg.conf.d/00-keyboard.conf
/etc/bash_completion.d
/etc/bash_completion.d/systemd-bash-completion.sh
/etc/binfmt.d
/etc/dbus-1/system.d/org.freedesktop.hostname1.conf
/etc/dbus-1/system.d/org.freedesktop.locale1.conf
/etc/dbus-1/system.d/org.freedesktop.login1.conf
/etc/dbus-1/system.d/org.freedesktop.systemd1.conf
/etc/dbus-1/system.d/org.freedesktop.timedate1.conf
/etc/hostname
/etc/locale.conf
/etc/localtime
/etc/machine-id
/etc/machine-info
/etc/modprobe.d/udlfb.conf
/etc/modules-load.d
/etc/rc.d/init.d/README
/etc/rpm/macros.systemd
/etc/rsyslog.d/listen.conf
/etc/sysctl.d
/etc/systemd
/etc/systemd/journald.conf
/etc/systemd/logind.conf
/etc/systemd/system
/etc/systemd/system.conf
/etc/systemd/system/runlevel2.target
/etc/systemd/system/runlevel3.target
/etc/systemd/system/runlevel4.target
/etc/systemd/system/runlevel5.target
/etc/systemd/user
/etc/systemd/user.conf
/etc/tmpfiles.d
/etc/udev
/etc/udev/rules.d
/etc/udev/udev.conf
/etc/vconsole.conf
/etc/xdg/systemd
/etc/xdg/systemd/user
/etc/yum/protected.d/systemd.conf

Some of these are already covered by other modules (e.g. udev, yum) but some should be added here - I'll create a patch for the startup module with some of these included for review.
Comment 4 Bryn M. Reeves 2012-12-11 17:16:03 EST
Fixed upstream:

commit 3eb86395a4485eca1b6c37d154daaf4f01e570ca
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Mon Dec 10 14:15:40 2012 +0000

    Add systemd module
    
    Add a new module to collect systemd information. This is the start
    of a general re-organisation of the init related information
    captured by sos.
    
    Initially collect systemctl and journalctl command output as well
    as (some) configuration files owned by the package.
Comment 5 Fedora End Of Life 2013-12-21 04:29:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 08:15:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.